# This file is autogenerated. Instead of editing this file, please use the
# migrations feature of ActiveRecord to incrementally modify your database, and
# then regenerate this schema definition.

ActiveRecord::Schema.define(:version => 15) do

  create_table "accounts", :force => true do |t|
  end

  create_table "authors", :force => true do |t|
    t.column "name", :string
  end

  create_table "authorships", :force => true do |t|
    t.column "author_id", :integer
    t.column "book_id",   :integer
  end

  add_index "authorships", ["book_id"], :name => "index_authorships_on_book_id"
  add_index "authorships", ["author_id"], :name => "index_authorships_on_author_id"

  create_table "books", :force => true do |t|
    t.column "name", :string
  end

  create_table "categories", :force => true do |t|
    t.column "parent_id", :integer
    t.column "name",      :string
    t.column "widget_id", :integer
  end

  add_index "categories", ["widget_id"], :name => "index_categories_on_widget_id"
  add_index "categories", ["parent_id"], :name => "index_categories_on_parent_id"

  create_table "comments", :force => true do |t|
    t.column "post_id", :integer
    t.column "body",    :text
  end

  add_index "comments", ["post_id"], :name => "index_comments_on_post_id"

  create_table "companies", :force => true do |t|
    t.column "type", :string
    t.column "name", :string
  end

  create_table "customers", :force => true do |t|
    t.column "name",           :string
    t.column "address_street", :string
    t.column "address_city",   :string
  end

  create_table "posts", :force => true do |t|
    t.column "title", :string
    t.column "body",  :text
  end

  create_table "todo_items", :force => true do |t|
    t.column "todo_list_id", :integer
    t.column "position",     :integer
  end

  add_index "todo_items", ["todo_list_id"], :name => "index_todo_items_on_todo_list_id"

  create_table "todo_lists", :force => true do |t|
  end

  create_table "users", :force => true do |t|
    t.column "account_id",  :integer
    t.column "name",        :string
    t.column "preferences", :text
  end

  add_index "users", ["account_id"], :name => "index_users_on_account_id"

  create_table "widgets", :force => true do |t|
    t.column "deleted_at", :datetime
  end

end
